## ros-foxy-maliput-ros-interfaces 0.1.1

=== CMakeLists.txt ===
##############################################################################
# Project
##############################################################################

cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(maliput_ros_interfaces)

##############################################################################
# Find 3rd Party Packages
##############################################################################

message(STATUS "\n\n====== Finding 3rd Party Packages ======\n")

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

##############################################################################
# Project Configuration
##############################################################################

message(STATUS "\n\n========= Project Configuration ========\n")

##############################################################################
# Sources
##############################################################################

set(MESSAGES
  "msg/BranchPoint.msg"
  "msg/BranchPointId.msg"
  "msg/HBounds.msg"
  "msg/InertialPosition.msg"
  "msg/IsoLaneVelocity.msg"
  "msg/Junction.msg"
  "msg/JunctionId.msg"
  "msg/Lane.msg"
  "msg/LaneEnd.msg"
  "msg/LaneEndSet.msg"
  "msg/LaneId.msg"
  "msg/LanePosition.msg"
  "msg/LaneSRange.msg"
  "msg/LaneSRoute.msg"
  "msg/RBounds.msg"
  "msg/RoadGeometry.msg"
  "msg/RoadGeometryId.msg"
  "msg/RoadPosition.msg"
  "msg/RoadPositionResult.msg"
  "msg/Rotation.msg"
  "msg/Segment.msg"
  "msg/SegmentId.msg"
  "msg/SRange.msg"
)

set(SERVICE_MSGS
  "srv/BranchPoint.srv"
  "srv/DeriveLaneSRoutes.srv"
  "srv/EvalMotionDerivatives.srv"
  "srv/FindRoadPositions.srv"
  "srv/Junction.srv"
  "srv/Lane.srv"
  "srv/LaneBoundaries.srv"
  "srv/RoadGeometry.srv"
  "srv/SampleLaneSRoute.srv"
  "srv/Segment.srv"
  "srv/ToInertialPose.srv"
  "srv/ToRoadPosition.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MESSAGES}
  ${SERVICE_MSGS}
  DEPENDENCIES builtin_interfaces geometry_msgs
  # TODO(#12): restore ament_lint_auto_find_test_dependencies() once pep257 test is solved in CI.
  # ADD_LINTER_TESTS
)

##############################################################################
# Tests
##############################################################################

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

##############################################################################
# Export
##############################################################################
ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-foxy-maliput-ros-interfaces (0.1.1-1focal) focal; urgency=high

  * Adds READMEs to the packages. (#24 <https://github.com/maliput/ros2_maliput/issues/24>)
  * Sample lane s route (#21 <https://github.com/maliput/ros2_maliput/issues/21>)
  * Routing service (#20 <https://github.com/maliput/ros2_maliput/issues/20>)
  * Road position services (#19 <https://github.com/maliput/ros2_maliput/issues/19>)
  * Removes tests to avoid breaking CI with generated files. (#13 <https://github.com/maliput/ros2_maliput/issues/13>)
  * Adds the translation interface for geometric types. (#4 <https://github.com/maliput/ros2_maliput/issues/4>)
  * Adds geometric descriptions and a few basic requests for the entities. (#3 <https://github.com/maliput/ros2_maliput/issues/3>)
  * Create a message package (#2 <https://github.com/maliput/ros2_maliput/issues/2>)
  * Contributors: Agustin Alba Chicar

 -- Agustin Alba Chicar <ag.albachicar@ekumenlabs.com>  Mon, 17 Apr 2023 03:00:00 -0000

=== debian/control ===
Source: ros-foxy-maliput-ros-interfaces
Section: misc
Priority: optional
Maintainer: Agustin Alba Chicar <ag.albachicar@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-generators, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-maliput-ros-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-builtin-interfaces, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-runtime, ros-foxy-ros-workspace
Description: Interface definitions for ROS2 maliput

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-maliput-ros-interfaces//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
